export default{
  props: {
    show: {
      type: Boolean,
      default: false
    },
    data: {
      type: Object,
      default() {
        return null;
      }
    }
  },
  watch: {
    show(bool) {
      this.my_show = bool;
    }
  },
  data() {
    return {
      my_show: false
    };
  },
  methods: {
    visibleChange(bool) {
      this.$emit('update:show', bool);
    }
  }
};
